   /*
 Usage:
 
   %LET dp_cd_list=1 2 3 ;
	%LET tbl_list=&prefix.SSCP &prefix.track_tbl_updt &prefix.track_tbl_fl_lev_updt;
	 %LET lib_out=;
	 %LET suffix=_c;

%combine_dp_tbls(DP_CD_List=1 2 3
		                           ,tbl_list=&prefix.SSCP &prefix.track_tbl_updt &prefix.track_tbl_fl_lev_updt 
		                           ,lib_out=&lib_out.
								   ,suffix=&suffix.) ;
*/

 	%MACRO combine_dp_tbls(dp_cd_list=
                                                   ,tbl_list= 
	                                               ,lib_out=
													,suffix=) ;

        %PUT;
	     %PUT -----   Start of the macro combine_dp_tbls;
		 %PUT;

 %GLOBAL m_return_cd  DEBUG_FLAG2 ;	

%LOCAL _DEBUG_OPTIONS_L ;
 %LET _DEBUG_OPTIONS_L=%sysfunc(getoption(symbolgen)) %sysfunc(getoption(mprint)) %sysfunc(getoption(mlogic)) %sysfunc(getoption(notes)) %sysfunc(getoption(source)) %sysfunc(getoption(source2));	
 %IF &DEBUG_FLAG2. NE Y %THEN %DO;OPTIONS NOMLOGIC NOMPRINT NOSYMBOLGEN  NOSOURCE NOSOURCE2; %END;


	   %LOCAL dp_cd msoc_lib count_dp	count_tbls  tbl_list_tmp;

	 %IF  %LENGTH(&lib_out.) >0  AND  %INDEX(&lib_out.,.) =0 %THEN 	 %LET  lib_out=&lib_out.%STR(.);

	    %LET count_dp=%sysfunc(countw(&dp_cd_list.));
		%LET count_tbls=%sysfunc(countw(&tbl_list.));

		 %PUT count_dp=&count_dp.;
		 %PUT count_tbls=&count_tbls.;

		 %DO j=1 %TO &count_tbls.;

			   %LET tbl_name=%SCAN(&tbl_list.,&j.);
				%LET tbl_name_out=&lib_out.&tbl_name.&suffix.;
				%LET tbl_list_tmp=;

		        %DO i=1 %TO &count_dp.;

				   %LET dp_cd=%scan(&dp_cd_list.,&i.);
					%LET msoc_lib=msoc&dp_cd.;

%IF 			%SYSFUNC(EXIST(&msoc_lib..&tbl_name.))=1	
%THEN		%LET tbl_list_tmp=&tbl_list_tmp. &msoc_lib..&tbl_name.;

    		 %END;	/* End of i loop*/

   %IF %LENGTH(&tbl_list_tmp.) >0	 %THEN
                                  %DO;
				          DATA &tbl_name_out.;
							  SET &tbl_list_tmp.;
						  RUN;	
						         %END;
		%END;  /* End of j loop*/

		 %PUT;
	     %PUT -----   End of the macro combine_dp_tbls;
		 %PUT;

	 OPTIONS &_DEBUG_OPTIONS_L.;

%MEND;

 
